curl --request POST \
--url https://services.leadconnectorhq.com/courses/courses-exporter/public/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "<string>",
"products": [
{
"title": "<string>",
"description": "<string>",
"categories": [
{
"title": "<string>",
"visibility": "published",
"thumbnailUrl": "<string>",
"posts": [
{
"title": "<string>",
"visibility": "published",
"contentType": "video",
"description": "<string>",
"thumbnailUrl": "<string>",
"bucketVideoUrl": "<string>",
"postMaterials": [
{
"title": "<string>",
"type": "pdf",
"url": "<string>"
}
]
}
],
"subCategories": [
{
"title": "<string>",
"visibility": "published",
"thumbnailUrl": "<string>",
"posts": [
{
"title": "<string>",
"visibility": "published",
"contentType": "video",
"description": "<string>",
"thumbnailUrl": "<string>",
"bucketVideoUrl": "<string>",
"postMaterials": [
{
"title": "<string>",
"type": "pdf",
"url": "<string>"
}
]
}
]
}
]
}
],
"imageUrl": "<string>",
"instructorDetails": {
"name": "<string>",
"description": "<string>"
}
}
],
"userId": "<string>"
}
'Import Courses through public channels
curl --request POST \
--url https://services.leadconnectorhq.com/courses/courses-exporter/public/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "<string>",
"products": [
{
"title": "<string>",
"description": "<string>",
"categories": [
{
"title": "<string>",
"visibility": "published",
"thumbnailUrl": "<string>",
"posts": [
{
"title": "<string>",
"visibility": "published",
"contentType": "video",
"description": "<string>",
"thumbnailUrl": "<string>",
"bucketVideoUrl": "<string>",
"postMaterials": [
{
"title": "<string>",
"type": "pdf",
"url": "<string>"
}
]
}
],
"subCategories": [
{
"title": "<string>",
"visibility": "published",
"thumbnailUrl": "<string>",
"posts": [
{
"title": "<string>",
"visibility": "published",
"contentType": "video",
"description": "<string>",
"thumbnailUrl": "<string>",
"bucketVideoUrl": "<string>",
"postMaterials": [
{
"title": "<string>",
"type": "pdf",
"url": "<string>"
}
]
}
]
}
]
}
],
"imageUrl": "<string>",
"instructorDetails": {
"name": "<string>",
"description": "<string>"
}
}
],
"userId": "<string>"
}
'Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Courses imported successfully.
Was this page helpful?